|  | Home · All Classes · All Functions · Overviews

# BackendCapabilities Namespace Reference
(Phonon::BackendCapabilities)
[Phonon module]

The BackendCapabilities namespace contains functions to describe the capabilities of the multimedia backend. More...

     #include <Phonon>

This namespace was introduced in Qt 4.4.

## Classes

class | Notifier

## Functions

QList<EffectDescription> | availableAudioEffects ()
QList<AudioOutputDevice> | availableAudioOutputDevices ()
QStringList | availableMimeTypes ()
bool | isMimeTypeAvailable ( const QString & mimeType )
Notifier * | notifier ()

## Detailed Description

The BackendCapabilities namespace contains functions to describe the capabilities of the multimedia backend.

## Classes

### class Notifier

## Function Documentation

### QList<EffectDescription> BackendCapabilities::availableAudioEffects ()

Returns descriptions for the audio effects the backend supports.

Returns A list of AudioEffectDescription objects that give a name and description for every supported audio effect.

### QList<AudioOutputDevice> BackendCapabilities::availableAudioOutputDevices ()

Returns the audio output devices the backend supports.

Returns A list of AudioOutputDevice objects that give a name and description for every supported audio output device.

### QStringList BackendCapabilities::availableMimeTypes ()

Returns a list of mime types that the Backend can decode.

See also isMimeTypeAvailable().

### bool BackendCapabilities::isMimeTypeAvailable ( const QString & mimeType )

Often all you want to know is whether one given MIME type can be decoded by the backend. Use this method in favor of availableMimeTypes() as it can give you a negative answer without having a backend loaded.

Returns true if the given mimeType is supported by the backend; otherwise, returns false.

See also availableMimeTypes().

### Notifier * BackendCapabilities::notifier ()

Use this function to get a QObject pointer to connect to the capabilitiesChanged signal.

Returns a pointer to a QObject.

The capabilitiesChanged signal is emitted if the capabilities have changed. This can happen if the user has requested a backend change.

To connect to this signal do the following:

     QObject::connect(BackendCapabilities::notifier(), SIGNAL(capabilitiesChanged()), ...

See also Notifier::capabilitiesChanged().